Bug 501987 - RFE: Add event tracing to GFS2
RFE: Add event tracing to GFS2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Steve Whitehouse
Martin Jenner
: FutureFeature
Depends On: 489483 501985
Blocks: 519832 579598
  Show dependency treegraph
 
Reported: 2009-05-21 09:53 EDT by Steve Whitehouse
Modified: 2010-09-02 19:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Event Tracing in GFS2 GFS2's event tracing is provided via the generic tracing infrastructure. The events are designed to be useful for debugging purposes. Note, however that it is not guaranteed that the GFS2 events will remain the same throughout the lifetime of Red Hat Enterprise Linux 6. Further details on GFS2's glocks and event tracing can be found in the following 2009 Linus Symposium paperhttp://kernel.org/doc/ols/2009/ols2009-pages-311-318.pdf
Story Points: ---
Clone Of:
: 579598 (view as bug list)
Environment:
Last Closed: 2009-12-15 05:30:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2009-05-21 09:53:11 EDT
The GFS2 specific bits of tracing support. Requires the core to be ready first, and for the patch to have hit upstream.
Comment 2 Steve Whitehouse 2009-12-15 05:30:12 EST
This is already in RHEL6.
Comment 3 Steve Whitehouse 2010-01-12 10:24:10 EST
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
GFS2's event tracing is provided via the generic tracing infrastructure. The events are designed to be useful for debugging purposes. We do not guarantee that the GFS2 events will remain the same throughout the lifetime of RHEL6, however the structure of the events is such that they can be parsed in a generic manner, so this should not be a problem.

Further details on GFS2's glocks and event tracing can be found in this 2009 Linus Symposium paper: http://kernel.org/doc/ols/2009/ols2009-pages-311-318.pdf
Comment 10 Steven J. Levine 2010-09-01 18:27:57 EDT
BZ 579598 is a different bug --- the tracepoints info is not going into GFS2, but there was some other information that I found (about glocks) when I was reading Steve W's technical papers that I thought I could use to clarify some info he had given me earlier about glocks. It's a separate subject. It's just a matter of added a couple of tables, from his technical paper.
Comment 12 Ryan Lerch 2010-09-02 19:53:08 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,3 +1,3 @@
-GFS2's event tracing is provided via the generic tracing infrastructure. The events are designed to be useful for debugging purposes. We do not guarantee that the GFS2 events will remain the same throughout the lifetime of RHEL6, however the structure of the events is such that they can be parsed in a generic manner, so this should not be a problem.
+Event Tracing in GFS2
 
-Further details on GFS2's glocks and event tracing can be found in this 2009 Linus Symposium paper: http://kernel.org/doc/ols/2009/ols2009-pages-311-318.pdf+GFS2's event tracing is provided via the generic tracing infrastructure. The events are designed to be useful for debugging purposes. Note, however that it is not guaranteed that the GFS2 events will remain the same throughout the lifetime of Red Hat Enterprise Linux 6. Further details on GFS2's glocks and event tracing can be found in the following 2009 Linus Symposium paperhttp://kernel.org/doc/ols/2009/ols2009-pages-311-318.pdf

Note You need to log in before you can comment on or make changes to this bug.